# Cloud Transfer Training on Magnum

This repository contains two presentations:

* *OpenStack Magnum - An Introduction*: high-level introduction to Magnum.

* *OpenStack Magnum - Hands-On*: usage and troubleshooting for OpenStack Magnum on SUSE OpenStack Cloud 7

Both presentations are built using
[odpdown](https://github.com/thorstenb/odpdown). You can rebuild them by
running `make`. Building requires `make`, `pandoc`, `odpdown`, `M4` and `dia`.
Both presentations come with a transcripts in `handson-transcript.md` and
`intro-transcript.md`, respectively, which should be suitable for self-study.

# FILES

* `handson.{pdf,odp,md}: *OpenStack Magnum - Hands-On* in various formats.
  Please do not edit any of these files! Edit their Markdown sources instead -
  see below for details.

* `handson-transcript.{html,md}` transcript for *OpenStack Magnum - Hands-On* in
  HTML and Markdown format. For reading we recommend the HTML version since
  that integrates any figures shown in the slide.

* `intro.{pdf,odp,md}: *OpenStack Magnum - An Introduction* in various formats.
  Please do not edit any of these files! Edit their markdwon sources instead -
  see below for details.

* `intro-transcript.md` transcript for *OpenStack Magnum - An Introduction* in
  Markdown format.

* `handson/`: raw markdown sources for *OpenStack Magnum - Hands-On*. The entry
  point is main.md. This file is processed by M4, so feel free to use M4 macros
  (`include(<filename>)` is probably the most useful.

* `intro/`: raw markdown sources for *OpenStack Magnum - Hands-On*. The entry
  point is main.md. This file is processed by M4, so feel free to use M4 macros
  (`include(<filename>)` is probably the most useful.

* `img/` shared images for use in both presentations. Use paths relative to the
  repository's root directory to reference them. *.dia will automatically
  converted to *.PNG by the Makefile (use a `.png` extension for PNG files that
  do not need conversion).

* `cmd/` command snippets used on the troubleshooting slides. Use these for
  copying and pasting or source them (since some of these set environment
  variables it is preferable to copy and paste them).

* `output/` sample output from various commands (used in the presentation and
  transcript)
